ASX supported browsers

The following ASX websites will no longer support legacy Internet browsers using Transport Layer Security (TLS) 1.0 and 1.1 from 31 March 2020.

The change will ensure security and data integrity is maintained to the highest standards.

All users will be required to use one of the following browsers to ensure there is no disruption to your access.

 

If you received a red alert above, stating your web browser is incompatible with our upcoming security upgrade, you will need to click on your preferred browser in the list and follow the browser specific instructions to update.